#app {
    width: 100%;
}
#map *{
    box-sizing: content-box;
}
#gpxlist td{
    word-wrap: break-word;
    white-space: normal;
}
#gpxlist a{
    color: blue;
    text-decoration: underline;
}
/* jquery dialog */
.ui-dialog{
    z-index: 2001 !important ;
}
html {
    min-height: 100%;
    position: relative;
}

body {
    margin: 0;
    width: 100%;
    height: 100%;
}

div#map {
    position: fixed;
    /*top: 0;
    bottom: 0;
    left: 0;
    right: 0;*/
    width: 100%;
    height: 100%;
}

div.trackcol{
    width:100px;
}

div.durationcol{
    max-width:50px;
}

#gpxtable a.csrtm , #gpxtable a.csrtms,
#gpxtable a.editlink, #gpxtable a.motionviewlink, #gpxtable .deletetrack {
    float: right;
    font-size: 11px;
    margin-left: 2px;
    margin-right: 2px;
}

div#logo, div#logo img {
    height:80px;
}
div#logo div{
    position:absolute;
    bottom:0;
    width:100%;
}
div#logo div p{
    width:100%;
    text-align:center;
    float:right;
    font-size:10px;
}
div#logo{
    position:relative;
}
div#logo p{
    margin-top: 0px;
    margin-bottom: 0px;
}
div#logo {
    background-image: url('images/gpxpod.png');
    width: 65px;
    background-size: 65px 65px;
    background-repeat: no-repeat;
}


#optionbuttonsdiv,
#lastlegend{
    float:right;
    display:block;
}

#removeelevation, #comparebutton, #optionbuttonsdiv{
    font-size: 11px;
}
#removeelevation {
    width: 100%;
}

#optionbuttonsdiv{
    max-width: 60%;
}
#optioncheckdiv{
    max-width: 40%;
    font-size: 11px;
}
#optioncheckdiv .ui-spinner{
    width: 50px;
}
#tzselect{
    max-width:100%;
}

#optioncheckdiv{
    float:left;
    display:block;
}
#optionbuttonsdiv{
    border-left:solid 1px;
}

h1.sectiontitle{
    font-size: 18px;
    font-weight: bold;
}
h3.sectiontitle{
    font-size: 16px;
    font-weight: bold;
}
div#gpxpodsettings h1, div#help h1{
    /*margin-left:30px;*/
    text-align:center;
}

ul,hr {
    margin-top : 3px;
    margin-bottom : 3px;
}
h3 {
    margin-top : 5px;
    margin-bottom : 5px;
}

.transparent {
    opacity : 0.6;
}

.uibutton {
    font-size: 13px;
    height : 28px;
}

#filterlist li input{
    margin-bottom: 10px;
}

#filterlist li b{
    margin-bottom: 10px;
}

#filterlist li .ui-spinner {
    height:28px;
    margin-bottom: 5px;
    margin-top: 5px;
}

#clearfilter{
    margin-left:10px;
}
.filterbutton{
    float:right;
}

#filtertabtitle h1{
    float:left;
    margin-left:30px;
}
#filtertabtitle h3{
    float:left;
}

#gpxtable{
    word-wrap: break-word;
    border-radius: 7px;
}
#gpxtable tr:first-child th:first-child
{
    border-top-left-radius: 7px;
}
#gpxtable tr:first-child th:last-child
{
    border-top-right-radius: 7px;
}
#gpxtable tr:last-child td:first-child
{
    border-bottom-left-radius: 7px;
}
#gpxtable tr:last-child td:last-child
{
    border-bottom-right-radius: 7px;
}

#gpxtable th, #gpxtable td {
    border: 1px solid grey;
}
#gpxtable td {
    background-color: white;
}

.activeArea{
    position: absolute;
    top: 10px;
    left: 450px;
    right: 10px;
    bottom: 10px;
}

#gpxpodsettings{
    color:black;
}
.disclist{
    margin-left:20px;
    list-style-type:disc;
}
.circlist{
    margin-left:20px;
    list-style-type:circle;
}
.leaflet-control-dialog-contents {
    padding: 2px 0px !important;
    overflow: visible !important;
}
.leaflet-control-dialog-inner {
    padding: 0px 0px !important;
    overflow: visible !important;
}
.leaflet-control-dialog i:not(.display) {
    display: none;
}
#loadingnotification {
    /*padding-top: 7px;*/
    width: 100%;
    height: 100%;
}
#loadingnotification i#spinload {
    font-size: 37px;
}
#loadingnotification #folderload,
#loadingnotification #trackload,
#loadingnotification #correctload,
#loadingnotification #deleteload {
    font-size: 16px;
}
#loadingpc {
    width: 100%;
    text-align: center;
    display: block;
    line-height: 10px;
}
#stackgroup i {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
#stackgroup {
    width: 100%;
    height: 44px;
}
.clear {
    clear:both;
}
#nofolder {
    grid-column: 1;
    grid-row: 3;
    font-size: 16px;
    font-weight: bold;
    color:red;
}
#nofoldertext ,#nofolder {
    float:left;
    clear:both;
}
#nofoldertext{
    grid-column: 2/4;
    grid-row: 3;
    color:blue;
}
#subfolderselect, #tablecriteriasel {
    max-width:200px;
    text-overflow:ellipsis;
}

.spinning {
    -moz-animation:spin 0.7s linear infinite;
    -webkit-animation:spin 0.7s linear infinite;
    animation:spin 0.7s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

.toplink:link {
    color: blue;
    text-decoration: underline;
}
.toplink:visited {
    color: blue;
    text-decoration: underline;
}
.toplink:hover {
    color: hotpink;
    text-decoration: underline;
}
.toplink:active {
    color: green;
    text-decoration: underline;
}
#clean_results{
    word-wrap:break-word;
}
#clean_results ul{
    list-style-type:disc;
}

#gpxtable thead i.bigfa{
    width: 100%;
    text-align: center;
    font-size:19px;
}
#logofolder .publink{
    font-size:16px;
}
.popuptable{
    font-size: 10px;
    border-collapse: collapse;
    word-wrap: break-word;
    white-space: normal;
    width: 220px;
    margin: auto;
}
.popuptable td{
    border: 1px solid black;
    padding: 0px 5px 0px 5px;
}
.popuptable tr:nth-child(even){background-color: #f2f2f2;}
.popuptable tr:hover {background-color: #ddd;}

#linkinput {
    width:98%;
}
#optiontitle{
    width:100%;
    float:left;
    cursor: pointer;
}
input[type=checkbox] {
    cursor: pointer !important;
}

/* adapt right leaflet controls when sidebar pushes them */
@media screen and (max-width: 767px) {
    .leaflet-top.leaflet-right { right:40px; }
}
@media screen and (max-width: 767px) {
    .sidebar {
        position: absolute;
        width: 100%;
        height: 100%;
        top: auto;
        bottom: auto;
    }
}

div#options input[type=checkbox], table#gpxtable input[type=checkbox] {
    /* Double-sized Checkboxes */
    -ms-transform: scale(1.5); /* IE */
    -moz-transform: scale(1.5); /* FF */
    -webkit-transform: scale(1.5); /* Safari and Chrome */
    -o-transform: scale(1.5); /* Opera */
    padding: 5px;
    min-height: 0px;
}
div#options input {
    padding: 5px;
    min-height: 0px;
}
div#options button {
    padding: 7px 4px;
}

.leaflet-div-icon2
{
    background-image: url('images/pinblue.png');
    width: 21px !important;
    height: 30px !important;
}

.leaflet-marker-red
{
    background-image: url('images/marker-icon-red.png');
    width: 25px !important;
    height: 41px !important;
}

.leaflet-marker-blue
{
    background-image: url('images/marker-icon.png') !important;
    background-repeat: no-repeat !important;
    width: 25px !important;
    height: 41px !important;
}
.marker-select{
    background: url('images/marker-icon.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
    background-size: 12px 20px;
}
.dot-select{
    background: url('images/symbols/dot.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.dot-select,
.flag-blue-select,
.flag-red-select,
.flag-blue-select,
.flag-red-select,
.flag-green-select,
.diamond-blue-select,
.diamond-green-select,
.diamond-red-select,
.block-blue-select,
.block-green-select,
.block-red-select,
.pin-blue-select,
.pin-green-select,
.pin-red-select,
.medical-select,
.residence-select,
.drinking-water-select,
.campground-select,
.hike-select,
.bike-trail-select,
.bar-select,
.skullcross-select,
.geocache-select,
.geocache-open-select,
.contact-alien-select,
.contact-bigears-select,
.contact-female3-select,
.contact-cat-select,
.contact-dog-select{
    background-size: contain;
}

.leaflet-marker-red
{
    background-image: url('images/marker-icon-red.png') !important;
    background-repeat: no-repeat !important;
    width: 25px !important;
    height: 41px !important;
}
.flag-blue, .flag-red, .flag-green{
    background-repeat: no-repeat !important;
    width: 18px !important;
    height: 25px !important;
}
.flag-blue{
    background-image: url('images/symbols/flag-blue.png') !important;
}
.flag-blue-select{
    background: url('images/symbols/flag-blue.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.flag-red{
    background-image: url('images/symbols/flag-red.png') !important;
}
.flag-red-select{
    background: url('images/symbols/flag-red.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.flag-green{
    background-image: url('images/symbols/flag-green.png') !important;
}
.flag-green-select{
    background: url('images/symbols/flag-green.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.diamond-blue, .diamond-red, .diamond-green{
    background-size: 18px 18px !important;
    background-repeat: no-repeat !important;
    width: 18px !important;
    height: 18px !important;
}
.diamond-blue{
    background-image: url('images/symbols/diamond-blue.png') !important;
}
.diamond-blue-select{
    background: url('images/symbols/diamond-blue.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.diamond-green{
    background-image: url('images/symbols/diamond-green.png') !important;
}
.diamond-green-select{
    background: url('images/symbols/diamond-green.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.diamond-red{
    background-image: url('images/symbols/diamond-red.png') !important;
}
.diamond-red-select{
    background: url('images/symbols/diamond-red.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.block-blue, .block-red, .block-green{
    background-size: 16px 16px !important;
    background-repeat: no-repeat !important;
    width: 16px !important;
    height: 16px !important;
}
.block-blue{
    background-image: url('images/symbols/block-blue.png') !important;
}
.block-blue-select{
    background: url('images/symbols/block-blue.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.block-green{
    background-image: url('images/symbols/block-green.png') !important;
}
.block-green-select{
    background: url('images/symbols/block-green.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.block-red{
    background-image: url('images/symbols/block-red.png') !important;
}
.block-red-select{
    background: url('images/symbols/block-red.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.pin-blue, .pin-red, .pin-green{
    background-size: 21px 30px !important;
    background-repeat: no-repeat !important;
    width: 21px !important;
    height: 30px !important;
}
.pin-blue{
    background-image: url('images/symbols/pin-blue.png') !important;
}
.pin-blue-select{
    background: url('images/symbols/pin-blue.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.pin-green{
    background-image: url('images/symbols/pin-green.png') !important;
}
.pin-green-select{
    background: url('images/symbols/pin-green.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.pin-red{
    background-image: url('images/symbols/pin-red.png') !important;
}
.pin-red-select{
    background: url('images/symbols/pin-red.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.medical{
    background-image: url('images/symbols/medical.png') !important;
    background-size: 26px 22px !important;
    background-repeat: no-repeat !important;
    width: 26px !important;
    height: 22px !important;
}
.medical-select{
    background: url('images/symbols/medical.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.residence{
    background-image: url('images/symbols/residence.png') !important;
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.residence-select{
    background: url('images/symbols/residence.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.drinking-water{
    background-image: url('images/symbols/drinking-water.png') !important;
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.drinking-water-select{
    background: url('images/symbols/drinking-water.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.campground{
    background-image: url('images/symbols/campground.png') !important;
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.campground-select{
    background: url('images/symbols/campground.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.hike{
    background-image: url('images/symbols/hike.png') !important;
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.hike-select{
    background: url('images/symbols/hike.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.bike-trail{
    background-image: url('images/symbols/bike-trail.png') !important;
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.bike-trail-select{
    background: url('images/symbols/bike-trail.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.bar{
    background-image: url('images/symbols/bar.png') !important;
    background-size: 20px 24px !important;
    background-repeat: no-repeat !important;
    width: 20px !important;
    height: 24px !important;
}
.bar-select{
    background: url('images/symbols/bar.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.skullcross{
    background-image: url('images/symbols/skullcross.png') !important;
    background-size: 25px 25px !important;
    background-repeat: no-repeat !important;
    width: 25px !important;
    height: 25px !important;
}
.skullcross-select{
    background: url('images/symbols/skullcross.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.geocache{
    background-image: url('images/symbols/geocache.png') !important;
    background-size: 22px 20px !important;
    background-repeat: no-repeat !important;
    width: 22px !important;
    height: 20px !important;
}
.geocache-select{
    background: url('images/symbols/geocache.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.geocache-open{
    background-image: url('images/symbols/geocache-open.png') !important;
    background-size: 22px 20px !important;
    background-repeat: no-repeat !important;
    width: 22px !important;
    height: 20px !important;
}
.geocache-open-select{
    background: url('images/symbols/geocache-open.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}

.contact-alien, .contact-bigears, .contact-female3, .contact-cat, .contact-dog, .unknown{
    background-size: 24px 24px !important;
    background-repeat: no-repeat !important;
    width: 24px !important;
    height: 24px !important;
}
.contact-alien{
    background-image: url('images/symbols/contact-alien.png') !important;
}
.unknown{
    background-image: url('images/symbols/unknown.png') !important;
}
.contact-alien-select{
    background: url('images/symbols/contact-alien.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.contact-bigears{
    background-image: url('images/symbols/contact-bigears.png') !important;
}
.contact-bigears-select{
    background: url('images/symbols/contact-bigears.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.contact-female3{
    background-image: url('images/symbols/contact-female3.png') !important;
}
.contact-female3-select{
    background: url('images/symbols/contact-female3.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.contact-cat{
    background-image: url('images/symbols/contact-cat.png') !important;
}
.contact-cat-select{
    background: url('images/symbols/contact-cat.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.contact-dog{
    background-image: url('images/symbols/contact-dog.png') !important;
}
.contact-dog-select{
    background: url('images/symbols/contact-dog.png') no-repeat right 2px center rgba(240, 240, 240, 0.90);
}
.popupImage{
    width: 60px;
    height: 60px;
}
.picPopup{
    font-size:9px;
}

.leaflet-popup-content{
    margin: 4px 4px;
}

.smallRedMarker{
    background: rgba(255,0,0,1);
    border: 1px solid black;
}
.trackNamesList{
    list-style-type:disc;
    text-align: center;
    margin-left: 10px;
    margin-right: 10px;
}
#filterlist input[type=number],
#lineweight{
    width: 50px;
    -moz-appearance: number-input;
    -webkit-appearance: initial;
}
table#gpxtable th {
    text-align: center;
}
table#gpxtable td i.fa-spinner{
    font-size: 16px;
}
h3.popupTitle{
    text-align:center;
    margin-top:14px;
}
td.colortd{
    cursor: pointer;
}
#optiontoggle{
    position: relative;
}
#linkhint {
    font-size: 10px;
    font-style: italic;
}
.smallbutton {
    font-size:10px;
}
#tablebuttons button {
    min-height: 0px;
    padding: 3px 3px;
}
.leaflet-control-layers-selector, button.ui-button {
    min-height: 0px;
}
div#logofolder {
    display: grid;
    grid-template: 33% 33% 33% / 80px 4fr 8fr 3fr;
}
label[for=subfolderselect] {
    grid-column: 2;
    grid-row: 1/3;
}
#subfolderselect {
    grid-column: 3;
    grid-row: 1/3;
    margin-top: auto;
    margin-bottom: auto;
}
div#logo{
    grid-column: 1;
    grid-row: 1/3;
}
div#logofolder label{
    padding: 0px 5px 0px 5px;
    text-align: right;
    margin-top: auto;
    margin-bottom: auto;
}
#folderbuttons * {
    color: black;
    cursor: pointer;
    padding: 2px;
}
#folderbuttons {
    grid-column: 4;
    grid-row: 1/3;
    text-align: right;
    margin-top: auto;
    margin-bottom: auto;
}
#pubtitle {
    grid-column: 2/4;
    grid-row: 1/3;
}
#tablebuttons, #tablecriteria {
    display: grid;
    grid-template: 50% 50% / 1fr 1fr;
}
label[for=tablecriteriasel] {
    grid-column: 1;
    grid-row: 1/3;
    margin-top: auto;
    margin-bottom: auto;
    text-align: center;
}
#tablecriteriasel {
    grid-column: 2;
    grid-row: 1/3;
    width: 100%;
}
#selectall {
    grid-column: 1;
    grid-row: 1;
}
#deselectallv {
    grid-column: 2;
    grid-row: 2;
}
#deselectall {
    grid-column: 2;
    grid-row: 1;
}
#deleteselected {
    grid-column: 1;
    grid-row: 2;
}
#optionbuttonsdiv {
    display: grid;
    grid-template-columns: 50% 50%;
    text-align: right;
}
#optionbuttonsdiv input[type=text]{
    width: auto;
}
#optionbuttonsdiv select{
    width: 100%
}
#optionbuttonsdiv label{
    margin-top: auto;
    margin-bottom: auto;
    word-wrap: break-word;
}
#tzselect {
    grid-column: 1/3;
}
#comparebutton {
    grid-column: 1/3;
}
#lastlegend {
    grid-column: 1/3;
}
#overlayserveradd, #tileserveradd, #tilewmsserveradd, #overlaywmsserveradd {
    display: grid;
    grid-template-columns: 35% 65%;
}
#tileserveradd       p,
#tilewmsserveradd    p,
#overlaywmsserveradd p,
#overlayserveradd    p{
    margin-top: auto;
    margin-bottom: auto;
}
#tileserveradd input[type=checkbox],
#tilewmsserveradd input[type=checkbox],
#overlaywmsserveradd input[type=checkbox],
#overlayserveradd input[type=checkbox]{
    margin-right: auto;
}
#tileserveradd input[type=text],
#tilewmsserveradd input[type=text],
#overlaywmsserveradd input[type=text],
#overlayserveradd input[type=text]{
    width:100%;
}
.metadatalink {
    display: block;
    text-align: center;
}
.getGpx {
    word-wrap: break-word;
}
#tileserverdiv, #tilewmsserverdiv,
#overlayserverdiv, #overlaywmsserverdiv {
    display: none;
}
.customtiletitle {
    cursor: pointer;
}
.zoomtrackbutton,
#gpxtable .publink,
.dropdownbutton {
    padding: 0;
    margin: 0;
    width: 20px;
    height: 20px;
    min-height: 20px;
    border: 0px;
    background: none;
    float: right;
}
.zoomtrackbutton:hover i,
.publink:hover i,
.dropdownbutton:hover i {
    color: black;
}
.zoomtrackbutton i,
.publink i,
.dropdownbutton i {
    color: grey;
    font-size: 12px;
}
.dropdownbutton:focus {
    background-color: #dddddd;
}
.dropdown-content {
    display: none;
    position: absolute;
    right: 0px;
    background-color: #f9f9f9;
    width: 250px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 10px;
    text-align: left;
}
.dropdown-content a {
    font-size: 13px !important;
    text-decoration: none !important;
    color: grey !important;
    width: 95%;
}
.dropdown-content a i {
    color: grey !important;
}
.dropdown-content a:hover i {
    color: black !important;
}
.dropdown-content a:hover {
    color: black !important;
}
.show {display:block;}
.drawButton {
    margin-left: auto;
    margin-right: auto;
    min-height: 0px;
    padding: 0px 4px 0px 4px;
    height: 20px;
    display: block;
}
.sidebar-tabs > li.active {
    background-color: #E8E8E8;
}
.leaflet-control-locate.active .fa {
    color: #2074B6;
}
.leaflet-control-locate .fa {
    color: black;
}
.leaflet-popup-content img {
    max-width: 300px;
}
.leaflet-bottom {
    position: fixed;
}
